
QGIS Application - Bug report #2279

Wrong request to WMS server when reprojecting used

2009-12-14 03:04 AM - jekhor -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12339

Description

Steps to reproduce:

1. Create new project, set WGS84 CRS and enable 'on-the-fly' CRS transformation.

2. Create connection to WMS server, select layer, choose any non-WGS84 CRS and click "Add".

3. Error message will be displayed:

Could not draw test because:

(No error code was reported)

The WMS vendor also reported: 

msWMSLoadGetMapParams(): WMS server error. Image size out of range, WIDTH and HEIGHT must be between 1 and 2048

pixels.

Tried URL:

http://localhost/cgi-bin/mapserv?map=/home/jek/work/gis/mapserver-test/test.map&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=5403181.469195,6053283.601044,5436128.826219,6098381.399747&SRS=EPSG:3335&WIDTH=65999697&HEIGHT=90339296&LAYERS=test&STYLES=&FORMAT=image/gif&DPI=128&TRANSPARENT=TRUE


T=GetMap&BBOX=5403181.469195,6053283.601044,5436128.826219,6098381.399747&SRS=EPSG:3335&WIDTH=65999697&HEIGHT=90339296&LAYERS=test&STYLES=&FORMAT=image/gif&DPI=128&TRANSPARENT=TRUE


97&HEIGHT=90339296&LAYERS=test&STYLES=&FORMAT=image/gif&DPI=128&TRANSPARENT=TRUE

History

#1 - 2011-04-19 11:46 AM - Jürgen Fischer

the tiff meanwhile became unavailable.  Please make it available again.

#2 - 2011-04-19 12:14 PM - jekhor -

Replying to [comment:3 jef]:

the tiff meanwhile became unavailable.  Please make it available again.

Fixed.

#3 - 2011-04-19 01:27 PM - Jürgen Fischer
Replying to [comment:4 jekhor]:

Replying to [comment:3 jef]:

the tiff meanwhile became unavailable.  Please make it available again.

Fixed.

Thanks.  Can you still reproduce the bug?  It seems to work fine here.

#4 - 2011-04-19 10:35 PM - jekhor -

- Resolution set to fixed

- Status changed from Open to Closed

Yes, seems to work.

Files

wgs-test.qgs 4.72 KB 2009-12-14 jekhor -

test.map 659 Bytes 2009-12-14 jekhor -
